/***
  BEGIN LICENSE

  Copyright (C) 2011-2012 Dane Henson <dane@elementaryos.org>
  This program is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License version 3, as
  published    by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranties of
  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
  PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program.  If not, see <http://www.gnu.org/licenses>

  END LICENSE
***/

namespace Agenda {

    /**
     *  Variables used for option arguments.
     */
    private static bool version = false;
    private static bool list_tasks = false;
    private static string? task = null;
    private static int task_id = 0;
    
    /**
     *  Command line arguments
     */
    const GLib.OptionEntry[] options = {
        {"version", 0, 0, GLib.OptionArg.NONE, ref version, "Display version number", null},
        {"show-tasks", 's', 0, GLib.OptionArg.NONE, ref list_tasks, "Shows all tasks on the command line", null},
        {"add", 'a', 0, GLib.OptionArg.STRING, ref task, "Add a new task", "\'New task...\'"},
        {"remove", 'd', 0, GLib.OptionArg.INT, ref task_id, "Remove specified task", "TASK_ID"},
        {null}
    };
    
    /**
     *  Main
     */
    public static int main (string[] args) {
        try {
            var opt_context = new OptionContext ("- Agenda example");
            opt_context.set_help_enabled (true);
            opt_context.add_main_entries (options, null);
            opt_context.parse (ref args);
        } catch (OptionError e) {
            stdout.printf ("error: %s\n", e.message);
            stdout.printf ("Run '%s --help' to see a full list of available command line options.\n", args[0]);
            return 0;
        }
        return 0;
    }
}
