/***
  BEGIN LICENSE

  Copyright (C) 2011-2012 Dane Henson <dane@elementaryos.org>
  This program is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License version 3, as
  published    by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranties of
  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
  PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program.  If not, see <http://www.gnu.org/licenses>

  END LICENSE
***/

namespace Agenda {

    public class Task : GLib.Object {
    
        /**
         *  The most important part of the task, the user-readable text.
         *  A task should never be created without some kind of text, but
         *  we will give it a blank value by default anyway.
         */
        public string text { get; set; default = ""; }
        
        /**
         *  The switch to set the task 'done' or 'complete'.
         *  This will always be false on creation, or the task wouldn't exist
         *  in the first place.
         */
        public bool complete { get; set; default = false; }
        
        /**
         *  Create a new Task
         */
        public Task () {
        }
        
        /**
         *  Create a new Task with text
         *
         *  @param text the user-readable task text
         */
        public Task.with_text (string text) {
        
            // Set the text
            this.text = text;
        }
    }
}
