/***
  BEGIN LICENSE

  Copyright (C) 2011-2012 Dane Henson <dane@elementaryos.org>
  This program is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License version 3, as
  published    by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranties of
  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
  PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program.  If not, see <http://www.gnu.org/licenses>

  END LICENSE
***/

namespace Agenda {
    public class TaskList : GLib.Object {

        /**
         *  The name of the TaskList
         */
        public string name { get; set; default = "default"; }
        
        /**
         *  A List that stores the Tasks
         */
        private Gee.List<Task> task_list;
        
        /**
         *  Create a new TaskList
         */
        public TaskList () {
        }
        
        /**
         *  Create a new TaskList and add the first Task
         *
         *  @param name the name of the TaskList
         */
        public TaskList.with_name (string name) {
            // Name of the TaskList
            this.name = name;
        }
        
        public void add_task (Task task) {
            // Add the task
            this.task_list.add (task);
        }
        
    }
}
